### Method

# Clutter Scriptable parse_custom_node

#### Declaration [src]

    gboolean
    clutter_scriptable_parse_custom_node (
      ClutterScriptable* scriptable,
      ClutterScript* script,
      GValue* value,
      const gchar* name,
      JsonNode* node
    )

#### Description [src]

Parses the passed JSON node. The implementation must set the type of the passed `GValue` pointer using g_value_init().

#### Parameters

`script`

  Type: `ClutterScript`

  The `ClutterScript` creating the scriptable instance.

  The data is owned by the caller of the method.

`value`

  Type: `GValue`

  The generic value to be set.

  The data is owned by the caller of the method.

`name`

  Type: `const gchar*`

  The name of the node.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `JsonNode`

  The JSON node to be parsed.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the node was successfully parsed, `FALSE` otherwise.